package com.hungraim.ltc.account.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.account.ChDisabEmpAccounts;
import com.hungraim.ltc.pojo.vo.account.EmpAccountOperVo;
import com.hungraim.ltc.pojo.vo.account.SrvEmpListReq;
import com.hungraim.ltc.pojo.vo.account.SrvEmpListResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface ChDisabEmpAccountsMapper extends BaseMapper<ChDisabEmpAccounts> {

    @Select("<script>" +
            "SELECT " +
            "  t1.EMP_ACCOUNTS_ID, " +
            "  t3.ORGAN_ID, " +
            "  t3.ORGAN_NAME, " +
            "  t2.SRV_ORGAN_ID, " +
            "  t2.SRV_ORGAN_NAME, " +
            "  t1.ACCOUNTS_TIME, " +
            "  t4.EMP_NAME," +
            "  t4.CERTIF_NUM," +
            "  t1.ACCOUNTS_STATUS, " +
            "  t1.TOTAL_EXPENSES_PAYABLE, " +
            "  t1.TOTAL_ALLOCATED_EXPENSES  " +
            "FROM " +
            "  CH_DISAB_EMP_ACCOUNTS t1 " +
            "  LEFT JOIN CH_SRV_ORGAN t2 ON t1.SRV_ORGAN_ID = t2.SRV_ORGAN_ID " +
            "  LEFT JOIN CH_FND_ORGAN t3 ON t2.ORGAN_ID = t3.ORGAN_ID  " +
            "  LEFT JOIN CH_SRV_ORGAN_EMP t4 ON t1.SRV_EMP_ID = t4.EMP_ID" +
            "<where> " +
            " <if test='organIds != null and organIds.size()>0'>  t3.ORGAN_ID IN  <foreach collection=\"organIds\" open=\"(\" close=\")\" item=\"organId\" separator=\",\">#{organId}</foreach> </if>" +
            "  " +
            "  <if test='req.srvOrganId != null'> AND t2.SRV_ORGAN_ID = #{req.srvOrganId} </if>   " +
            "  <if test='req.accountsTime != null'> AND t1.ACCOUNTS_TIME = #{req.accountsTime} </if>" +
            "  <if test='req.empName != null and req.empName !=\"\"'> AND t4.EMP_NAME LIKE CONCAT(CONCAT('%',#{req.empName}),'%')  </if>" +
            "  <if test='req.certifNum != null and req.certifNum !=\"\"'> AND t4.CERTIF_NUM = #{req.certifNum} </if>" +
            "</where></script>")
    Page<SrvEmpListResp> searchSrvEmpList(Page<SrvEmpListResp> page, List<Long> organIds, SrvEmpListReq req);

    @Select("SELECT    " +
            "t1.*,    " +
            "t4.EMP_NAME," +
            "t4.CERTIF_NUM," +
            "t3.ORGAN_ID    " +
            " FROM    " +
            "    CH_DISAB_EMP_ACCOUNTS t1    " +
            "    LEFT JOIN CH_SRV_ORGAN t2 ON t1.SRV_ORGAN_ID = t2.SRV_ORGAN_ID    " +
            "    LEFT JOIN CH_FND_ORGAN t3 ON t2.ORGAN_ID = t3.ORGAN_ID     " +
            "    LEFT JOIN CH_SRV_ORGAN_EMP t4 ON t1.SRV_EMP_ID = t4.EMP_ID     " +
            "WHERE    " +
            "    t1.EMP_ACCOUNTS_ID = #{empAccountsId}")
    EmpAccountOperVo getDetailById(Long empAccountsId);
}