package com.hungraim.ltc.account.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvTask;
import com.hungraim.ltc.pojo.vo.account.ExpenseSettlementInfoBo;
import com.hungraim.ltc.pojo.vo.account.ExpenseSettlementReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface SrvTaskMapper extends BaseMapper<ChSrvTask> {

    @Select("<script>" +
            "SELECT " +
            "  t1.srv_task_id, " +//服务任务id
            "  t4.program_id, " +//服务方案id
            "  t3.real_name, " +//失能人员姓名
            "  t3.certi_code, " +//失能人员身份证号
            "  t4.srv_mode_id, " +//服务方式id
            "  t5.srv_mode_name, " +//服务方式名称
            "  t2.srv_start_time, " +//服务开始时间
            "  t2.srv_end_time, " +//服务结束时间
            "  t4.srv_organ_id, " +//护理机构id
            "  t6.disable_level_id, " +//失能等级id
            "  t7.item_id, " +//服务项目id
            "  t7.item_times, " +//服务频次
            "  t7.planning_frequency, " +//计划频次
            "  t7.planning_frequency_type, " +//计划频次类型
            "  t8.srv_level_id, " +//服务等级id
            "  t9.organ_id " +//分支机构id
            "FROM " +
            "  ch_srv_task t1 " +
            "  LEFT JOIN ch_srv_task_detail t2 ON t1.srv_task_id = t2.srv_task_id " +
            "  LEFT JOIN ch_disable_info t3 ON t1.disab_info_id = t3.disab_info_id  " +
            "  LEFT JOIN ch_srv_program t4 ON t1.program_id = t4.program_id" +
            "  LEFT JOIN ch_fnd_srv_mode t5 ON t4.srv_mode_id = t5.srv_mode_id" +
            "  LEFT JOIN ch_apr_task at ON at.disable_info_id = t3.disab_info_id" +
            "  LEFT JOIN ch_apr_report t6 ON t6.task_id = at.task_id" +
            "  LEFT JOIN ch_srv_program_set t7 ON t7.program_id = t4.program_id and t7.is_conf = 1" +
            "  LEFT JOIN ch_cfg_srv_item t8 ON t8.item_id = t7.item_id" +
            "  LEFT JOIN ch_srv_organ t9 ON t9.srv_organ_id = t4.srv_organ_id" +
            "<where> " +
            " t4.srv_organ_id = #{req.srvOrganId} AND ((t2.srv_start_time &gt;= to_date(#{req.accountsTime}, 'yyyy-MM') and t2.srv_start_time &lt;= to_date(#{req.accountsLastDayTime}, 'yyyy-MM-dd')) or (t2.srv_end_time &gt;= to_date(#{req.accountsTime}, 'yyyy-MM') and t2.srv_end_time &lt;= to_date(#{req.accountsLastDayTime}, 'yyyy-MM-dd')))" +
            "</where></script>")
    Page<ExpenseSettlementInfoBo> getExpenseSettlementInfo(Page<ExpenseSettlementInfoBo> page, ExpenseSettlementReq req);

}
