package com.hungraim.ltc.account.service.impl;

import com.hungraim.ltc.account.service.BaseAccountService;
import com.hungraim.ltc.api.AttachFeignService;
import com.hungraim.ltc.api.OrganFeignService;
import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import com.hungraim.ltc.pojo.vo.system.AttachUpdateVo;
import com.hungraim.ltc.util.AttachType;
import com.hungraim.ltc.util.Result;
import com.hungraim.ltc.util.ResultCode;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@AllArgsConstructor
@Slf4j
public class BaseAccountServiceImpl implements BaseAccountService {

    private final AttachFeignService attachFeignService;
    private final OrganFeignService organFeignService;

    /**
     * 调用feign api来修改附件数据
     */
    public void updateAttachs(Long ctrlId, List<ChFndAttach> fileDataList, AttachType attachType) {
        AttachUpdateVo attachUpdateVo = new AttachUpdateVo();
        attachUpdateVo.setCtrlId(ctrlId);
        attachUpdateVo.setAttachType(attachType.getUploadType());
        attachUpdateVo.setChFndAttachs(fileDataList);
        attachFeignService.updateAttachs(attachUpdateVo);
    }

    public List<Long> getOrganIds(Long organId, Boolean isInvolveChild) {
        if (organId != null) {
            try {
                Result<List<Long>> result = organFeignService.getOrganChild(organId, isInvolveChild);
                if (ResultCode.SUCCESS.getCode().equals(result.getCode())) {
                    return result.getData();
                } else {
                    log.error("请求获取适用机构子机构失败：{}", result.getMsg());
                }
            } catch (Exception e) {
                e.printStackTrace();
                log.error("请求获取适用机构子机构失败：{}", e.getMessage());
            }
        }
        return null;
    }
}
