package com.hungraim.ltc.api;

import com.hungraim.ltc.util.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient("LTC-APPLY-SERVICE")
public interface OrganFeignService {

    /**
     * 根据organId以及isInvolveChild返回一个organIds集合
     * 返回一个好办organId的ids集合，如果isInvolveChild的值为true，则包含organId的下层机构，如果为false，就只返回只存在organId的ids集合
     *
     * @param organId        适用机构id
     * @param isInvolveChild 是否包含下层机构
     * @return 返回一个ids集合
     */
    @GetMapping("/api.apply/organ/child")
    Result<List<Long>> getOrganChild(@RequestParam("organId") Long organId, @RequestParam("isInvolveChild") Boolean isInvolveChild);
}
