package com.hungraim.ltc.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.disable.ChDisableApply;
import com.hungraim.ltc.pojo.vo.disable.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

/**
 * 失能人员申请历史Mapper
 *
 * @author czz
 */
@Mapper
@Repository
public interface DisableApplyMapper extends BaseMapper<ChDisableApply> {
    /**
     * 查询待遇申请管理列表
     *  @param organIds     机构代码集合
     * @param provincial   省
     * @param city         市
     * @param area         区
     * @param name         参保人员姓名
     * @param certiCode    参保人身份证号码
     * @param dataFrom     申请来源
     * @param srvOrganName 护理机构
     * @param applyMethod  申请方式(1首次申请、2复评申请、3动态评估)
     */
    Page<DisableVO> disableList(Page<DisableVO> page, @Param("organIds") List<String> organIds, @Param("provincial")String provincial,
                                @Param("city")String city, @Param("area")String area, @Param("name")String name, @Param("certiCode")String certiCode,
                                @Param("dataFrom")String dataFrom, @Param("srvOrganName")String srvOrganName, @Param("applyMethod")Integer applyMethod);


    DisableExamineInfoVO selectDisableExamineInfoByApplyId(String applyId);

    List<ExamineRecord> listExamineRecordByApplyId(String applyId);

    DisableInfoVO getDisableInfo(String disableInfoId);

    List<DisableExportVO> disableExportList(@Param(value = "organIds") List<String> organIds, @Param("provincial")String provincial,
                                            @Param("city")String city, @Param("area")String area, @Param("name") String name, @Param("certiCode")String certiCode,
                                            @Param("dataFrom")String dataFrom, @Param("applyMethod")Integer applyMethod);
}
