package com.hungraim.ltc.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hungraim.ltc.pojo.entity.SysConfig.ChCfgSrvMode;
import com.hungraim.ltc.pojo.vo.disable.SrvModeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SrvModeMapper extends BaseMapper<ChCfgSrvMode> {

    /**
     * 查询全部服务方式
     *
     * @return 返回所有服务方式
     */
    List<SrvModeVo> selectAll();

    /**
     * 查询对应id的数据
     *
     * @param modeIds id集合字符串，英文逗号分割
     * @return 返回集合
     */
    List<SrvModeVo> selectByModeIds(@Param("modeIds") List<Integer> modeIds);
}