package com.hungraim.ltc.pojo.entity.SysConfig;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_FND_ATTACH
 * @author zhangch
 */
@Data
@TableName("CH_FND_ATTACH")
@KeySequence("SEQ_CH_FND_ATTACH")
public class ChFndAttach implements Serializable {
    /**
     * 上传文件id
     */
    @TableId(type = IdType.INPUT)
    private Long attachId;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件路径
     */
    private String filePath;

    /**
     * 上传时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fileTime;

    /**
     * 关联id
     */
    private Long ctrlId;

    /**
     * 附件类型(1:失能人员附件;2:鉴定任务附件;3:服务方案附件;4:稽核巡查;5:护理机构基金结算申请新增;6:无锡长护保险自评申请;7:失能信息变更附件;8:评估结论书;9:参保人员及家属;10:评定人员1;11:评定人员2;12:鉴定机构附件;13:护理机构附件;14:鉴定人员附件;15:护理人员附件 16-护理人员服务项目结束附件，17:建床，18：撤床)
     */
    private Short attachType;

    /**
     * 首次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 文件类型
     */
    private Short docType;

    /**
     * 0有效，1无效
     */
    private Short status;

    private static final long serialVersionUID = 1L;
}