package com.hungraim.ltc.pojo.entity.account;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * CH_DISAB_ACCOUNTS_DETAIL
 */
@Data
@TableName("CH_DISAB_ACCOUNTS_DETAIL")
@KeySequence("SEQ_CH_DISAB_DETAIL_ACCOUNTS")
public class ChDisabDetailAccounts implements Serializable {
    /**
     * 结算id
     */
    @TableId(value = "ACCOUNTS_DETAIL_ID", type = IdType.INPUT)
    private Long accountsDetailId;

    private Long accountsId;

    private String disabInfoId;
    /**
     * 护理机构id
     */
    private String srvOrganId;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date creationTime;

    /**
     * 结算月份
     */
    @DateTimeFormat(pattern = "yyyy-MM")
    @JsonFormat(pattern = "yyyy-MM",timezone = "GMT+8")
    private Date accountsTime;

    /**
     * 应拨总费用
     */
    private BigDecimal accountsAllCost;

    private BigDecimal accountsOverallCost;

    private BigDecimal accountsPersonalCost;
    /**
     * 服务方式
     */
    private String  modeName;

    /**
     * 费用开始日期
     */
    private Date  accountsStartTime;
    /**
     * 费用结束日期
     */
    private Date accountsEndTime;

    private String taskDetailId;

    private String medicalArea;

    private String itemIds;


    private static final long serialVersionUID = 1L;
}