package com.hungraim.ltc.pojo.entity.assessment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * CH_DISAB_ACCOUNTS
 * @author zwl
 */
@Data
@TableName("CH_ASSESS_ACCOUNTS")
@KeySequence("SEQ_CH_ASSESS_ACCOUNTS")
public class ChAssessAccounts implements Serializable {
    /**
     * 评估结算id
     */
    @TableId(value = "ASSESS_ACCOUNTS_ID", type = IdType.INPUT)
    private Long assessAccountsId;

    /**
     *  评定机构id
     */
    private Long aprOrganId;


    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date creationTime;

    /**
     * 结算月份
     */
    @DateTimeFormat(pattern = "yyyy-MM")
    @JsonFormat(pattern = "yyyy-MM",timezone = "GMT+8")
    private Date accountsTime;



    /**
     * 状态（0-待提交；1-待审核；2-已审核；3-已失效；）
     */
    private Short accountsStatus;

    /**
     * 审核人姓名
     */
    private String checkName;

    /**
     * 审核备注
     */
    private String checkRemark;


    /**
     * 总费用合计
     */
    private BigDecimal assessAllCost;





    private static final long serialVersionUID = 1L;
}