package com.hungraim.ltc.pojo.entity.governance;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author jiaguokai
 */
@Data
@TableName("CH_SRV_REMOVE_BED")
@KeySequence(value = "SEQ_CH_SRV_REMOVE_BED")
public class ChSrvRemoveBed {
    /**
     * 撤床ID
     */
    @TableId(value = "REMOVE_BED_ID", type = IdType.INPUT)
    private Integer removeBedId;
    /**
     * 护理机构ID
     */
    private Integer srvOrganId;
    /**
     * 失能人员ID
     */
    private Integer disabInfoId;
    /**
     * 建床ID
     */
    private Integer buildBedId;
    /**
     * 方案ID
     */
    private Integer programId;
    /**
     * 姓名
     */
    private String realName;
    /**
     * 性别（男：M；女：F；不确定 N）
     */
    private String gender;
    /**
     * 出生年月日
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date birthday;
    /**
     * 手机号
     */
    private String tel;
    /**
     * 评定等级（1:1级，2:2级，3:3级，4:4级，5:5级）
     */
    private Integer rating;
    /**
     * 保障方式(1：院护，2：专户，3：巡护)
     */
    private Integer guaranteeMode;
    /**
     * 建床日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date buildBedTime;
    /**
     * 专区
     */
    private String specialZone;
    /**
     * 长护号
     */
    private String changhuNo;
    /**
     * 床号
     */
    private String bedNumber;
    /**
     * 撤床日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date removeBedTime;
    /**
     * 在床天数
     */
    private Integer bedDays;
    /**
     * 诊断
     */
    private String diagnosis;
    /**
     * 建床情况
     */
    private String bedConstruction;
    /**
     * 护理经过
     */
    private String nursingProcess;
    /**
     * 撤床原因(1好转、2不再符合条件，3转换保障方式，4加重、5转住院治疗，6对机构服务不满意，7更换医护机构，8对政策原因不满，9死亡、10撤床，11其他原因)
     */
    private Integer removeBedReason;
    /**
     * 撤床后建议
     */
    private String removeBedProposal;
    /**
     * 状态(0有效，1失效)
     */
    private Integer status;
    /**
     * 首次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fcd;
    /**
     * 首次操作人
     */
    private Integer fcu;
    /**
     * 末次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lcd;
    /**
     * 末次操作人
     */
    private Integer lcu;
    /**
     * 撤床备注
     */
    private String removeBedReasonRemarks;
}
