package com.hungraim.ltc.pojo.entity.riskLevel;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 护理人员风险等级表
 * </p>
 *
 * @author dzh
 * @since 2022-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("CH_SRVEMP_RISK_LEVEL")
public class ChSrvempRiskLevel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "SRVEMP_RISK_LEVEL_ID", type = IdType.AUTO)
    private Long srvempRiskLevelId;

    /**
     * 护理人员ID
     */
    @TableField("SRV_EMP_ID")
    private Long srvEmpId;

    /**
     * 护理人员可疑任务数量（近30天）
     */
    @TableField("SRV_SUSP_COU")
    private Long srvSuspCou;

    /**
     * 护理人员任务数量（近30天）
     */
    @TableField("SRV_SUM_COU")
    private Long srvSumCou;

    /**
     * 风险等级百分比
     */
    @TableField("RISK_LEVEL_PERCENT")
    private String riskLevelPercent;

    /**
     * 风险等级(0低风险，1中风险，2高风险，3无任务)
     */
    @TableField("RISK_LEVEL")
    private Long riskLevel;

    /**
     * 状态(0有效，1失效)
     */
    @TableField("STATUS")
    private Integer status;

    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;

    /**
     * 首次操作时间
     */
    @TableField("FCD")
    private Date fcd;

    /**
     * 首次操作人
     */
    @TableField("FCU")
    private Long fcu;

    /**
     * 末次操作时间
     */
    @TableField("LCD")
    private Date lcd;

    /**
     * 末次操作人
     */
    @TableField("LCU")
    private Long lcu;

    /**
     * 月度平均护理人数
     */
    @TableField("MONTH_DISA_COU")
    private Long monthDisaCou;


}
