package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_SUPERVISE_ORGAN
 */
@Data
@TableName("CH_SUPERVISE_ORGAN")
@KeySequence("SEQ_CH_SUPERVISE_ORGAN")
public class ChSuperviseOrgan implements Serializable {
    /**
     * 监管机构id
     */
    @TableId(type = IdType.INPUT)
    private Long spvOrganId;

    /**
     * 机构代码
     */
    private String organId;

    /**
     * 监管机构名称
     */
    private String spvOrganName;

    /**
     * 所在省份
     */
    private String districtProvince;

    /**
     * 所在城市
     */
    private String districtCity;

    /**
     * 所在区域
     */
    private String districtArea;

    /**
     * 所在省市区中文名
     */
    private String pcaName;

    /**
     * 统一社会信用代码
     */
    private String unifiedSocialCreditCode;

    /**
     * 机构联系人姓名
     */
    private String contactName;

    /**
     * 机构联系人电话
     */
    private String contactTel;

    /**
     * 银行账户名称
     */
    private String accName;

    /**
     * 银行开户行名称
     */
    private String bankAccName;

    /**
     * 银行账号
     */
    private String bankNo;

    /**
     * 是否失效 有效：0；失效：1
     */
    private Short isLock;

    /**
     * 数据来源 网厅：0，核心：1
     */
    private Short dataFrom;

    /**
     * 网厅创建人
     */
    private Long webDefineEmp;

    /**
     * 网厅终止人
     */
    private Long webEndEmp;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date endTime;

    /**
     * 首次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 联系人邮箱
     */
    private String contactMail;

    private static final long serialVersionUID = 1L;
}
