package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_SUPERVISE_ORGAN_EMP
 */
@Data
@TableName("CH_SUPERVISE_ORGAN_EMP")
@KeySequence("SEQ_CH_SUPERVISE_ORGAN_EMP")
public class ChSuperviseOrganEmp implements Serializable {
    /**
     * 监管人员id
     */
    @TableId(type = IdType.INPUT)
    private Long spvEmpId;

    /**
     * 监管人员姓名
     */
    private String spvEmpName;

    /**
     * 监管机构id
     */
    private Long spvOrganId;

    /**
     * 证件类型
     */
    private String certifType;

    /**
     * 证件号码
     */
    private String certifNum;

    /**
     * 性别 男：M；女：F；不确定N
     */
    private String gender;

    /**
     * 年龄
     */
    private Short age;

    /**
     * 手机号码
     */
    private String mobilePhone;

    /**
     * 人员类型  监管人员：0；管理人员：1
     */
    private Short spvEmpType;

    /**
     * 是否失效 有效：0；失效：1
     */
    private Short isLock;

    /**
     * 数据来源 网厅：0，核心：1
     */
    private Short dataFrom;

    /**
     * 网厅创建人
     */
    private Long webDefineEmp;

    /**
     * 网厅终止人
     */
    private Long webEndEmp;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date endTime;

    /**
     * 首次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 人员id
     */
    private Long basicEmpId;

    private static final long serialVersionUID = 1L;
}