package com.hungraim.ltc.pojo.vo.assessment;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 评定任务信息列表
 */
@Data
public class ChAprTaskVo {

    /**
     * 评定任务id
     */
    private Long taskId;

    /**
     * 失能人员id
     */
    private String disableInfoId;
    /**
     * 适用机构
     */
    private String organName;
    /**
     * 机构代码
     */
    private String organId;
    /**
     * 所在省市
     */
    private String districtProvincial;
    private String districtCity;
    private String districtArea;
    /**
     * 失能人员姓名
     */
    private String realName;
    /**
     * 申请日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date effTime;
    /**
     * 省份证号码
     */
    private String certiCode;
    /**
     * 出生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;
    /**
     * 诊断疾病
     */
    private String diseTypeS;
    /**
     * 联系电话
     */
    private String tel;
    /**
     * 接受评定地址
     */
    private String acptProvincial;
    private String acptCity;
    private String acptArea;
    private String acptStreet;
    private String acptAddress;
    /**
     * 评定人员
     */
    private String empRealName;
    /**
     * 评定人员手机号
     */
    private String empTel;
    /**
     * 任务分配时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date assignTime;
    /**
     * 任务接受时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date acceptTime;
    /**
     * 任务完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date finishTime;
    /**
     * 任务状态
     */
    private Integer taskStatus;
}
