package com.hungraim.ltc.pojo.vo.disable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 申请表vo
 */
@Data
public class ChDisableApplyVo {
    /**
     * 机构代码
     */
    private String organId;
    /**
     * 机构名
     */
    private String organName;

    /**
     * 所在省份
     */
    private String districtProvincial;

    /**
     * 所在城市
     */
    private String districtCity;

    /**
     * 所在区域
     */
    private String districtArea;

    /**
     * 姓名
     */
    private String realName;

    /**
     * 身份证号
     */
    private String certiCode;

    /**
     * 出生年月
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;

    /**
     * 性别    男：M；女：F；不确定 N
     */
    private String gender;

    /**
     * 电话
     */
    private String tel;
    /**
     * 失能人员电话
     */
    private String fixedTel;
    /**
     * 户籍   本市：0；非本市：1
     */
    private Short regist;
    /**
     * 待遇类型(1失能、0失智)
     */
    private Short treatmentType;
    /**
     * 接受评定省
     */
    private String acptProvincial;

    /**
     * 接受评定市
     */
    private String acptCity;

    /**
     * 接受评定区
     */
    private String acptArea;

    /**
     * 接受评定街道
     */
    private String acptStreet;

    /**
     * 接受评定详细地址
     */
    private String acptAddress;

    /**
     * 接受评定类型 现在址：0,机构地址：1,其他：2
     */
    private Short acptType;
    /**
     * 接受服务地址省
     */
    private String acptSrvProvincial;

    /**
     * 接受服务地址市
     */
    private String acptSrvCity;

    /**
     * 接受服务地址区
     */
    private String acptSrvArea;

    /**
     * 接受服务地址街道
     */
    private String acptSrvStreet;
    /**
     * 接受服务地址详细地址
     */
    private String acptSrvAddress;
    /**
     * 接受服务地址类型(现在址：0,护理机构地址：1,其他：2,接受评定地址：3)
     */
    private Short acptSrvType;
    //失能人员现住址
    private String adressDistrictProvincial;
    private String adressDistrictCity;
    private String adressDistrictCode;
    private String addressRoadDetail;
    private String adressDetail;
    private Short addressType;

    /**
     * 诊断疾病
     */
    private String diseTypeF;//大类
    private String diseTypeS;//小类

    /**
     * 服务方式
     */
    private Long srvModeId;
    /**
     * 服务方式名称
     */
    private String srvModeName;

    /**
     * 疾病描述
     */
    private String diseaseDesc;

    /**
     * 医保类型    城镇：1；非城镇：0
     */
    private Short medicalType;
    /**
     * 医保类型名称
     */
    private String mdcName;

    /**
     * 社保卡号
     */
    private String medicalCard;

    /**
     * 意向护理机构
     */
    private Long srvOrganId;
    private String srvOrganName;
    /**
     * 代办人姓名
     */
    private String operName;

    /**
     * 代办人身份证号
     */
    private String operCertiCode;

    /**
     * 代办人手机号
     */
    private String operTel;

    /**
     * 与失能人员关系    子女:0;父母:1配偶:2其他:3
     */
    private String operRelation;
    /**
     * 代办人固话
     */
    private String operFixedTel;
    /**
     * 代办人住址省份
     */
    private String operDistrictProvince;

    /**
     * 代办人住址城市
     */
    private String operDistrictCity;
    /**
     * 代办人住址区域
     */
    private String operDistrictCode;
    /**
     * 代办人现住止路街
     */
    private String operRoadDetail;
    /**
     * 代办人住址详情
     */
    private String operAddress;
    /**
     * 复评原因
     */
    private String reasonsReview;

    /**
     * 复评备注
     */
    private String reasonsRemark;
    /**
     * 审核人
     */
    private String checkName;
    /**
     * 申请状态   未提交:0;待审核:1;审核通过:2;不通过：3;删除:4;撤销:5
     */
    private Short applyStatus;
    private String applyStatusName;
    /**
     * 审核备注
     */
    private String checkRemark;



}
