package com.hungraim.ltc.pojo.vo.governance;

import com.baomidou.mybatisplus.annotation.TableField;
import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class BuildBedDetailVo {

    /**
     * 建床ID
     */
    private Integer buildBedId;

    /**
     * 护理机构ID
     */
    private Integer srvOrganId;

    /**
     * 失能人员id
     */
    private Integer disabInfoId;

    /**
     * 长护号
     */
    private String changhuNo;

    /**
     * 专区
     */
    private String specialZone;

    /**
     * 床号
     */
    private String bedNumber;

    /**
     * 是否合并甲类（0：是，1：否）
     */
    private Integer mergeOrNot;

    /**
     * 婚姻状况（0未婚、 1已婚、 2离婚、 3丧偶）
     */
    private Integer maritalStatus;

    /**
     * 职业
     */
    private String occupation;

    /**
     * 籍贯
     */
    private String nativePlace;

    /**
     * 姓名
     */
    private String realName;

    /**
     * 性别（男：M；女：F；不确定 N）
     */
    private String gender;

    /**
     * 民族
     */
    private String nation;

    /**
     * 身份证号码
     */
    private String certiCode;

    /**
     * 家庭住址
     */
    private String adressDetail;

    /**
     * 联系人
     */
    private String tel;

    /**
     * 联系电话
     */
    private String contactTel;

    /**
     * 建床时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date buildBedTime;

    /**
     * 病史陈述者
     */
    private String narrator;

    /**
     * 记录时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date recordTime;

    /**
     * 护理需求等级（1:1级，2:2级，3:3级，4:4级，5:5级）
     */
    private Integer nursingDemandLevel;

    /**
     * 保障方式（1：院护，2：专护，3：巡护）
     */
    private Integer guaranteeMode;

    /**
     * 基本情况评估——诊断
     */
    private String diagnosis;

    /**
     * 基本情况评估——既往史（1有，0无）
     */
    private Integer pastHistory;

    /**
     * 基本情况评估——既往史（高血压（1有，0无））
     */
    private Integer pastHypertension;

    /**
     * 基本情况评估——既往史（冠心病（1有，0无））
     */
    private Integer pastCoronaryHeartDisease;

    /**
     * 基本情况评估——既往史（糖尿病（1有，0无））
     */
    private Integer pastDiabetes;

    /**
     * 基本情况评估——既往史（脑卒中（1有，0无））
     */
    private Integer pastCerebralApoplexy;

    /**
     * 基本情况评估——既往史（肺结核（1有，0无））
     */
    private Integer pastPulmonaryTuberculosis;

    /**
     * 基本情况评估——既往史（肿瘤（1有，0无））
     */
    private Integer pastTumour;

    /**
     * 基本情况评估——既往史（其它（1有，0无））
     */
    private Integer pastOther;

    /**
     * 基本情况评估——既往史（其它-备注）
     */
    private String pastOtherRemarks;

    /**
     * 基本情况评估——过敏史（1有，0无）
     */
    private Integer allergicHistory;

    /**
     * 基本情况评估——过敏史（有（药物-备注））
     */
    private String allergicMedicineRemarks;

    /**
     * 基本情况评估——过敏史（有（食物-备注））
     */
    private String allergicFoodRemarks;

    /**
     * 基本情况评估——过敏史（有（其它-备注））
     */
    private String allergicOtherRemarks;

    /**
     * 基本情况评估——家族史（1有，0无）
     */
    private Integer familyHistory;

    /**
     * 基本情况评估——家族史（高血压（1有，0无））
     */
    private Integer familyHypertension;

    /**
     * 基本情况评估——家族史（冠心病（0有，1无））
     */
    private Integer familyCoronaryHeartDisease;

    /**
     * 基本情况评估——家族史（糖尿病（0有，1无））
     */
    private Integer familyIabetes;

    /**
     * 基本情况评估——家族史（肿瘤（0有，1无））
     */
    private Integer familyTumour;

    /**
     * 基本情况评估——家族史（癫痫（0有，1无））
     */
    private Integer familyEpilepsy;

    /**
     * 基本情况评估——家族史（遗传病（0有，1无））
     */
    private Integer familyHereditaryDiseases;

    /**
     * 基本情况评估——家族史（其它（0有，1无））
     */
    private Integer familyOther;

    /**
     * 基本情况评估——家族史（其它-备注）
     */
    private String familyOtherRemarks;

    /**
     * 基本情况评估——有无残疾（无残疾（0有，1无））
     */
    private Integer disability;

    /**
     * 基本情况评估——有无残疾（听力残疾（0有，1无））
     */
    private Integer disabilityHearing;

    /**
     * 基本情况评估——有无残疾（言语残（0有，1无））
     */
    private Integer disabilitySpeech;

    /**
     * 基本情况评估——有无残疾（肢体残（0有，1无））
     */
    private Integer disabilityLimbs;

    /**
     * 基本情况评估——有无残疾（智力残（0有，1无））
     */
    private Integer disabilityIntelligence;

    /**
     * 基本情况评估——有无残疾（眼残（0有，1无））
     */
    private Integer disabilityEye;

    /**
     * 基本情况评估——有无残疾（其它（0有，1无））
     */
    private Integer disabilityOther;

    /**
     * 基本情况评估——有无残疾（其它-备注）
     */
    private String disabilityOtherRemarks;

    /**
     * 基本情况评估——有无残疾（精神残（0有，1无））
     */
    private Integer disabilityMentalDisability;

    /**
     * 生活状况评估——饮食（1：普食，2：软食，3：半流质，4：流质，5：禁食，6：管祠，7：其它）
     */
    private Integer diet;

    /**
     * 生活状况评估——饮食（其它-备注）
     */
    private String dietOtherRemarks;

    /**
     * 生活状况评估——睡眠（1：正常，2：异常）
     */
    private Integer sleep;

    /**
     * 生活状况评估——睡眠（异常（入睡困难（0有，1无）））
     */
    private Integer sleepDifficulty;

    /**
     * 生活状况评估——睡眠（异常（多梦（0有，1无）））
     */
    private Integer sleepDreams;

    /**
     * 生活状况评估——睡眠（异常（早醒（0有，1无）））
     */
    private Integer sleepWakeUpEarly;

    /**
     * 生活状况评估——睡眠（异常（失眠（0有，1无）））
     */
    private Integer sleepInsomnia;

    /**
     * 生活状况评估——睡眠（异常（药物辅助（0有，1无）））
     */
    private Integer sleepDrugAssisted;

    /**
     * 生活状况评估——睡眠（异常（其它（0有，1无）））
     */
    private Integer sleepOther;

    /**
     * 生活状况评估——睡眠（异常-其它备注））
     */
    private String sleepOtherRemarks;

    /**
     * 生活状况评估——排便（1：正常，2：便秘，3：腹泻，4：失禁，5：造瘘，6：其它）
     */
    private Integer defecation;

    /**
     * 生活状况评估——排便（造瘘（自理：0：能，1：不能））
     */
    private Integer defecationColostomy;

    /**
     * 生活状况评估——排便（其它（0有，1无）））
     */
    private Integer defecationOther;

    /**
     * 生活状况评估——排便（其它-备注）
     */
    private String defecationOtherRemarks;

    /**
     * 生活状况评估——排尿（1：正常，2：尿失禁，3：尿潴留，4：排尿困难，5：留置尿管，6：其它）
     */
    private Integer micturition;

    /**
     * 生活状况评估——排尿（其它（0有，1无）））
     */
    private Integer micturitionOther;

    /**
     * 生活状况评估——排尿（其它-备注）
     */
    private String micturitionOtherRemarks;

    /**
     * 生活状况评估——体位（1：主体位，2：被动体位，3：被迫体位）
     */
    private Integer position;

    /**
     * 生活状况评估——体位（被迫体位（半坐卧位（0有，1无）））
     */
    private Integer positionFowlerPosition;

    /**
     * 生活状况评估——体位（被迫体位（端坐位（0有，1无）））
     */
    private Integer positionEndSeat;

    /**
     * 生活状况评估——体位（被迫体位（俯卧位（0有，1无）））
     */
    private Integer positionPronePosition;

    /**
     * 生活状况评估——体位（被迫体位（其它（0有，1无）））
     */
    private Integer positionOther;

    /**
     * 生活状况评估——体位（被迫体位（其它-备注））
     */
    private String positionOtherRemarks;

    /**
     * 生活状况评估——嗜好（抽烟（0有，1无））
     */
    private Integer hobbySmoking;

    /**
     * 生活状况评估——嗜好（饮酒（0有，1无））
     */
    private Integer hobbyDrinkWine;

    /**
     * 生活状况评估——嗜好（喜咸（0有，1无））
     */
    private Integer hobbyLikeSalty;

    /**
     * 生活状况评估——嗜好（喜甜（0有，1无））
     */
    private Integer hobbyLikeSweet;

    /**
     * 生活状况评估——嗜好（喜辛辣（0有，1无））
     */
    private Integer hobbyLikeSpicyFood;

    /**
     * 生活状况评估——嗜好（喜油腻（0有，1无））
     */
    private Integer hobbyLikeGreasy;

    /**
     * 生活状况评估——嗜好（其它（0有，1无））
     */
    private Integer hobbyOther;

    /**
     * 生活状况评估——嗜好（其它-备注）
     */
    private String hobbyOtherRemarks;

    /**
     * 生活状况评估——吸烟（1：无，2：偶尔，3：经常，4：其它）
     */
    private Integer smoke;

    /**
     * 生活状况评估——吸烟（经常（_年））
     */
    private String smokeYear;

    /**
     * 生活状况评估——吸烟（经常（_支/日））
     */
    private String smokeUnitDay;

    /**
     * 生活状况评估——吸烟（经常（已戒烟_年））
     */
    private String smokeQuitSmoking;

    /**
     * 生活状况评估——吸烟（其它（0有，1无））
     */
    private Integer smokeOther;

    /**
     * 生活状况评估——吸烟（其它-备注）
     */
    private String smokeOtherRemarks;

    /**
     * 生活状况评估——饮酒（1：无，2：偶尔，3：经常，4：其它）
     */
    private String drinkWine;

    /**
     * 生活状况评估——饮酒（经常（_年））
     */
    @TableField("DRINK_WINE__YEAR")
    private String drinkWineYear;

    /**
     * 生活状况评估——饮酒（经常（_两/日））
     */
    private String drinkWineUnitDay;

    /**
     * 生活状况评估——饮酒（其它（0有，1无））
     */
    private Integer drinkWineOther;

    /**
     * 生活状况评估——饮酒（其它-备注）
     */
    private String drinkWineOtherRemarks;

    /**
     * 其它
     */
    private String other;

    /**
     * 生命体征评估——体温（°C）
     */
    private String temperature;

    /**
     * 生命体征评估——体温测量方式（1：口温，2：腋温，3：直肠温度，4：其它）
     */
    private Integer temperatureMode;

    /**
     * 生命体征评估——体温测量方式（其它-备注）
     */
    private String temperatureOtherRemarks;

    /**
     * 生命体征评估——脉搏（心率）__次/分
     */
    private String pulseTimesBranch;

    /**
     * 生命体征评估——脉搏（心率）（1律齐，2早搏，3绌脉，4其它）
     */
    private Integer pulseHeartRate;

    /**
     * 生命体征评估——脉搏（心率）（其它-备注）
     */
    private String pulseOtherRemarks;

    /**
     * 生命体征评估——呼吸（规则（0有，1无））
     */
    private Integer breathingRule;

    /**
     * 生命体征评估——呼吸（规则__次/分）
     */
    private String breathingTimesBranch;

    /**
     * 生命体征评估——呼吸（不规则（0有，1无））
     */
    private Integer breathingIrregular;

    /**
     * 生命体征评估——呼吸（不规则（1:咽息样，2:抽泣样，3:叹息样,4:其它））
     */
    private Integer breathingIrregularType;

    /**
     * 生命体征评估——呼吸（不规则（其它-备注））
     */
    private String breathingOtherRemarks;

    /**
     * 生命体征评估——血压_/
     */
    private String bloodPressure;

    /**
     * 生命体征评估——血压_mmllg
     */
    private String bloodPressureMmllg;

    /**
     * 心里社会评估——情绪（镇静（0有，1无））
     */
    private Integer emotionCalm;

    /**
     * 心里社会评估——情绪（焦虑（0有，1无））
     */
    private Integer emotionAnxious;

    /**
     * 心里社会评估——情绪（恐惧（0有，1无））
     */
    private Integer emotionFear;

    /**
     * 心里社会评估——情绪（悲哀（0有，1无））
     */
    private Integer emotionGrief;

    /**
     * 心里社会评估——情绪（无反应（（0有，1无）））
     */
    private Integer emotionNoResponse;

    /**
     * 心里社会评估——情绪（其它（0有，1无））
     */
    private Integer emotionOther;

    /**
     * 心里社会评估——情绪（其它-备注）
     */
    private String emotionOtherRemarks;

    /**
     * 心里社会评估——情绪（易激动（0有，1无））
     */
    private Integer emotionHotbed;

    /**
     * 心里社会评估——思维过程（正常（0有，1无））
     */
    private Integer thinkingProcessNormal;

    /**
     * 心里社会评估——思维过程（注意力分散（0有，1无））
     */
    private Integer thinkingProcessDistraction;

    /**
     * 心里社会评估——思维过程（远期记忆力下降（0有，1无））
     */
    private Integer thinkingProcessFar;

    /**
     * 心里社会评估——思维过程（近期记忆力下降（0有，1无））
     */
    private Integer thinkingProcessNear;

    /**
     * 心里社会评估——思维过程（思维混乱（0有，1无））
     */
    private Integer thinkingProcessConfusion;

    /**
     * 心里社会评估——思维过程（其它（0有，1无））
     */
    private Integer thinkingOther;

    /**
     * 心里社会评估——思维过程（其它——备注）
     */
    private String thinkingOtherRemarks;

    /**
     * 心里社会评估——与亲友关系（1：和睦，2：冷淡，3：紧张，4：其它）
     */
    private Integer relation;

    /**
     * 心里社会评估——与亲友关系（其它-备注）
     */
    private String relationOtherRemarks;

    /**
     * 心里社会评估——就业状态（1：固定职业，2：丧失劳动能力，3：事业，4：待业，5：退休，6：其它）
     */
    private Integer employmentStatus;

    /**
     * 心里社会评估——就业状态（其它-备注）
     */
    private String employmentOtherRemarks;

    /**
     * 心里社会评估——居住（1：独居，2：与配偶同住，3：与子女同住，4：与亲戚同住，5：其它）
     */
    private Integer live;

    /**
     * 心里社会评估——居住（其它-备注）
     */
    private String liveOtherRemarks;

    /**
     * 心里社会评估——医疗费来源（1：医保，2：自费，3：其它）
     */
    private Integer medicalExpenses;

    /**
     * 心里社会评估——医疗费来源（其它-备注）
     */
    private String medicalOtherRemarks;

    /**
     * 跌倒风险评估——肢体活动（1：正常，2：活动障碍）
     */
    private Integer physicalActivity;

    /**
     * 跌倒风险评估——肢体活动（活动障碍（左偏瘫（0有，1无）））
     */
    private Integer physicalLeftHemiplegia;

    /**
     * 跌倒风险评估——肢体活动（活动障碍（右偏瘫（0有，1无）））
     */
    private Integer physicalRightHemiplegia;

    /**
     * 跌倒风险评估——肢体活动（活动障碍（截肢（0有，1无）））
     */
    private Integer physicalAmputation;

    /**
     * 跌倒风险评估——肢体活动（活动障碍（全瘫（0有，1无）））
     */
    private Integer physicalTotalParalysis;

    /**
     * 跌倒风险评估——肢体活动（活动障碍（其它（0有，1无）））
     */
    private Integer physicalOther;

    /**
     * 跌倒风险评估——肢体活动（活动障碍（其它-备注 ））
     */
    private String physicalOtherRemarks;

    /**
     * 跌倒风险评估——肢体活动——活动障碍（1：左偏瘫，2：右偏瘫，3：截瘫，4：全瘫，5：其它）
     */
    private Integer physicalActivityType;

    /**
     * 跌倒风险评估——使用辅助用具（1：无，2：拐杖，3：轮椅，4：助行器，5：义肢，6：其它）
     */
    private Integer auxiliaryTools;

    /**
     * 跌倒风险评估——使用辅助工具（其它-备注）
     */
    private String auxiliaryOtherRemarks;

    /**
     * 跌倒风险评估——疼痛（0有，1无）
     */
    private Integer pain;

    /**
     * 跌倒风险评估——疼痛（有（部位_）
     */
    private String painPosition;

    /**
     * 跌倒风险评估——疼痛（有（程度（1：轻微痛，2：较痛，3：剧痛））
     */
    private Integer painDegree;

    /**
     * 跌倒风险评估——视力（正常（0有，1无））
     */
    private Integer visionNormal;

    /**
     * 跌倒风险评估——视力（戴眼镜（0有，1无））
     */
    private Integer visionGlasses;

    /**
     * 跌倒风险评估——视力（视力模糊（0有，1无））
     */
    private Integer visionVague;

    /**
     * 跌倒风险评估——视力（青光眼（0有，1无））
     */
    private Integer visionGlaucoma;

    /**
     * 跌倒风险评估——视力（视觉障碍（0有，1无））
     */
    private Integer visionObstacle;

    /**
     * 跌倒风险评估——视力（失明（0有，1无））
     */
    private Integer visionGoBlind;

    /**
     * 跌倒风险评估——视力（其它（0有，1无））
     */
    private Integer visionOther;

    /**
     * 跌倒风险评估——视力（其它-备注）
     */
    private String visionOtherRemarks;

    /**
     * 跌倒风险评估——听力（正常（0有，1无））
     */
    private Integer hearingNormal;

    /**
     * 跌倒风险评估——听力（耳鸣（0有，1无））
     */
    private Integer hearingTinnitus;

    /**
     * 跌倒风险评估——听力（听力下降左（0有，1无））
     */
    private Integer hearingLeftDecline;

    /**
     * 跌倒风险评估——听力（听力下降右（0有，1无））
     */
    private Integer hearingRightDecline;

    /**
     * 跌倒风险评估——听力（耳聋左（0有，1无））
     */
    private Integer hearingLeftDeaf;

    /**
     * 跌倒风险评估——听力（耳聋右（0有，1无））
     */
    private Integer hearingRightDeaf;

    /**
     * 跌倒风险评估——听力（助听器（0有，1无））
     */
    private Integer hearingDeafAid;

    /**
     * 跌倒风险评估——听力（其它（0有，1无））
     */
    private Integer hearingOther;

    /**
     * 跌倒风险评估——听力（其它-备注）
     */
    private String hearingOtherRemarks;

    /**
     * 跌倒风险评估——跌倒史（0有，1无）
     */
    private Integer fall;

    /**
     * 跌倒风险评估——跌倒史（有（1：偶尔，2：经常））
     */
    private Integer fallType;

    /**
     * 跌倒风险评估——其它（药物（0有，1无））
     */
    private Integer otherMedicine;

    /**
     * 跌倒风险评估——其它（乙醇阶段（0有，1无））
     */
    private Integer otherEthanolPhase;

    /**
     * 跌倒风险评估——其它（骨折史（0有，1无））
     */
    private Integer otherFracture;

    /**
     * 跌倒风险评估——其它（严重骨质疏松（0有，1无））
     */
    private Integer otherSevereOsteoporosis;

    /**
     * 跌倒风险评估——其它（缺氧症（0有，1无））
     */
    private Integer otherAnoxia;

    /**
     * 跌倒风险评估——其它（其它（0有，1无））
     */
    private Integer otherOther;

    /**
     * 跌倒风险评估——其它（其它-备注）
     */
    private String otherOtherRemarks;

    /**
     * 体格检查——皮肤黏膜——皮肤颜色（1：正常，2：潮红，3:苍白，4:绀，5：黄染，6：其它）
     */
    private Integer skinColor;

    /**
     * 体格检查——皮肤黏膜——皮肤颜色（其它-备注）
     */
    private String skinColorOtherRemarks;

    /**
     * 体格检查——皮肤黏膜——皮肤温度（1：正常，2：干燥，3：潮湿，4：多汗，5：其它）
     */
    private Integer skinTemperature;

    /**
     * 体格检查——皮肤黏膜——皮肤温度（其它-备注）
     */
    private String skinTemperatureOtherRemarks;

    /**
     * 体格检查——皮肤黏膜——皮肤完整性（完整（0有，1无））
     */
    private Integer skinComplete;

    /**
     * 体格检查——皮肤黏膜——皮肤完整性（皮疹（0有，1无））
     */
    private Integer skinRash;

    /**
     * 体格检查——皮肤黏膜——皮肤完整性（出血点（0有，1无））
     */
    private Integer skinBleedingPoint;

    /**
     * 体格检查——皮肤黏膜——皮肤完整性（压疮（1：Ⅰ°，2：Ⅱ°，3：Ⅲ°））
     */
    private Integer skinPressureSores;

    /**
     * 体格检查——皮肤黏膜——皮肤完整性（部位_）
     */
    private String skinPosition;

    /**
     * 体格检查——皮肤黏膜——皮肤完整性（大小_cm）
     */
    private String skinSize;

    /**
     * 体格检查——皮肤黏膜——皮肤完整性（其它（0有，1无））
     */
    private Integer skinOther;

    /**
     * 体格检查——皮肤黏膜——皮肤完整性（其它-备注）
     */
    @TableField("SKIN_OTHER_SMOKING")
    private String skinOtherRemarks;

    /**
     * 体格检查——皮肤黏膜——皮肤完整性（压疮（1：Ⅰ°，2：Ⅱ°，3：Ⅲ°））
     */
    private Integer skinPressureSoresType;

    /**
     * 体格检查——皮肤黏膜——皮肤完整性（大小_cm）
     */
    private String skinSizeLength;

    /**
     * 体格检查——皮肤黏膜——口腔黏膜（正常（0有，1无））
     */
    private Integer mucosaOralNormal;

    /**
     * 体格检查——皮肤黏膜——口腔黏膜（充血（0有，1无））
     */
    private Integer mucosaOralCongestion;

    /**
     * 体格检查——皮肤黏膜——口腔黏膜（白斑（0有，1无））
     */
    private Integer mucosaOralLeukoplakia;

    /**
     * 体格检查——皮肤黏膜——口腔黏膜（溃疡（0有，1无））
     */
    private Integer mucosaOralUlcer;

    /**
     * 体格检查——皮肤黏膜——口腔黏膜（糜烂（0有，1无））
     */
    private Integer mucosaOralErosion;

    /**
     * 体格检查——皮肤黏膜——口腔黏膜（其它（0有，1无））
     */
    private Integer mucosaOralOther;

    /**
     * 体格检查——皮肤黏膜——口腔黏膜（其它-备注）
     */
    private String mucosaOralOtherRemarks;

    /**
     * 体格检查——腹部检查（平软（0有，1无））
     */
    private Integer abdominalSoft;

    /**
     * 体格检查——腹部检查（肌紧张（0有，1无））
     */
    private Integer abdominalMuscularTension;

    /**
     * 体格检查——腹部检查（压痛（0有，1无））
     */
    private Integer abdominalTenderness;

    /**
     * 体格检查——腹部检查（反跳痛（0有，1无））
     */
    private Integer abdominalReboundPain;

    /**
     * 体格检查——腹部检查（可触及包块（0有，1无））
     */
    private Integer abdominalPalpableParcel;

    /**
     * 体格检查——腹部检查（可触及包块（部位及性质_））
     */
    private String abdominalPalpablePosition;

    /**
     * 体格检查——腹部检查（腹胀（0有，1无））
     */
    private Integer abdominalAbdominalDistention;

    /**
     * 体格检查——腹部检查（腹水（0有，1无））
     */
    private Integer abdominalAscites;

    /**
     * 体格检查——腹部检查（腹围_cm）
     */
    private Integer abdominalCircumference;

    /**
     * 体格检查——神经系统——意识（清楚（0有，1无））
     */
    private Integer nervousSystemClear;

    /**
     * 体格检查——神经系统——意识（嗜睡（0有，1无））
     */
    private Integer nervousSystemDrowsiness;

    /**
     * 体格检查——神经系统——意识（模糊（0有，1无））
     */
    private Integer nervousSystemVague;

    /**
     * 体格检查——神经系统——意识（昏睡（0有，1无））
     */
    private Integer nervousSystemLethargy;

    /**
     * 体格检查——神经系统——意识（谵妄（0有，1无））
     */
    private Integer nervousSystemDelirium;

    /**
     * 体格检查——神经系统——意识（昏迷（0有，1无））
     */
    private Integer nervousSystemComa;

    /**
     * 体格检查——神经系统——意识（昏迷（1：轻度昏迷，2：中度昏迷，3：重度昏迷））
     */
    private Integer nervousSystemComaType;

    /**
     * 体格检查——神经系统——沟通（1：正常，2：表达困难，3：语言障碍，4：失语，5：其它）
     */
    private Integer nervousSystemCommunicate;

    /**
     * 体格检查——神经系统——沟通（其它-备注）
     */
    private String communicateOtherRemarks;

    /**
     * 体格检查——神经系统——定向力（1：准确，2：障碍）
     */
    private Integer directionalForce;

    /**
     * 体格检查——神经系统——定向力（障碍（自我（0有，1无）））
     */
    private Integer obstacleSelf;

    /**
     * 体格检查——神经系统——定向力（障碍（时间（0有，1无）））
     */
    private Integer obstacleTime;

    /**
     * 体格检查——神经系统——定向力（障碍（地点（0有，1无）））
     */
    @TableField("DOBSTACLE_PLACE")
    private Integer obstaclePlace;

    /**
     * 体格检查——神经系统——定向力（障碍（人物（0有，1无）））
     */
    private Integer obstaclePersonage;

    /**
     * 体格检查——呼吸系统——呼吸方式（1：自主呼吸，2：辅助呼吸，3：机械通气）
     */
    private Integer breathingPattern;

    /**
     * 体格检查——呼吸系统——症状（咳嗽（0有，1无））
     */
    private Integer respiratorySymptomCough;

    /**
     * 体格检查——呼吸系统——症状（咳痰（0有，1无））
     */
    private Integer expectoration;

    /**
     * 体格检查——呼吸系统——症状（咳痰（粘痰（0有，1无）））
     */
    private Integer stickyPhlegm;

    /**
     * 体格检查——呼吸系统——症状（咳痰（黄痰（0有，1无）））
     */
    private Integer yellowPhlegm;

    /**
     * 体格检查——呼吸系统——症状（咳痰（浓痰（0有，1无）））
     */
    private Integer phlegm;

    /**
     * 体格检查——呼吸系统——症状（咳痰（铁锈色痰（0有，1无）））
     */
    private Integer rustySputum;

    /**
     * 体格检查——呼吸系统——症状（咳痰（红色痰（0有，1无）））
     */
    private Integer redSputum;

    /**
     * 体格检查——呼吸系统——症状（其它（0有，1无））
     */
    private Integer respiratoryOther;

    /**
     * 体格检查——呼吸系统——症状（其它-备注）
     */
    @TableField("RESPIRATORY_OTHER_SMOKING")
    private String respiratoryOtherRemarks;

    /**
     * 体格检查——循环系统（心悸（0有，1无））
     */
    private Integer circulatoryPalpitation;

    /**
     * 体格检查——循环系统（胸闷（0有，1无））
     */
    private Integer circulatoryChestTightness;

    /**
     * 体格检查——循环系统（胸痛（0有，1无））
     */
    private Integer circulatoryChestPain;

    /**
     * 体格检查——循环系统（胸痛（针刺样（0有，1无）））
     */
    private Integer circulatoryAcupuncture;

    /**
     * 体格检查——循环系统（胸痛（压榨样（0有，1无）））
     */
    private Integer circulatoryPress;

    /**
     * 体格检查——循环系统（胸痛（烧灼样（0有，1无）））
     */
    private Integer circulatoryBurning;

    /**
     * 体格检查——循环系统（胸痛（其它（0有，1无）））
     */
    private Integer chestPainOther;

    /**
     * 体格检查——循环系统（胸痛（其它-备注））
     */
    private String chestPainOtherRemarks;

    /**
     * 体格检查——循环系统（水肿（0有，1无））
     */
    private Integer circulatoryEdema;

    /**
     * 体格检查——循环系统（水肿（1：凹陷性，2：非凹陷性））
     */
    private Integer circulatoryEdemaType;

    /**
     * 体格检查——循环系统（晕厥（0有，1无））
     */
    private Integer circulatorySyncope;

    /**
     * 体格检查——循环系统（晕厥（1：偶尔，2：经常））
     */
    private Integer circulatorySyncopeType;

    /**
     * 体格检查——循环系统（紫绀（0有，1无））
     */
    private Integer circulatoryCyanosis;

    /**
     * 体格检查——循环系统（紫绀（部位_））
     */
    private Integer circulatoryCyanosisPosition;

    /**
     * 体格检查——循环系统（其它（0有，1无））
     */
    private Integer circulatoryOther;

    /**
     * 体格检查——循环系统（其它-备注）
     */
    private String circulatoryOtherRemarks;

    /**
     * 体格检查——消化系统（恶心（0有，1无））
     */
    private Integer digestionNausea;

    /**
     * 体格检查——消化系统（呕吐（0有，1无））
     */
    private Integer digestionVomit;

    /**
     * 体格检查——消化系统（呕吐_次/天）
     */
    private Integer vomitTimesDay;

    /**
     * 体格检查——消化系统（呕吐_总量）
     */
    private Integer vomitTotal;

    /**
     * 体格检查——消化系统（呕吐_ml）
     */
    private Integer vomitMl;

    /**
     * 体格检查——消化系统（暖气（0有，1无））
     */
    private Integer digestionHeating;

    /**
     * 体格检查——消化系统（反酸（0有，1无））
     */
    private Integer digestionAcidRegurgitation;

    /**
     * 体格检查——消化系统（灼烧感（0有，1无））
     */
    private Integer digestionBurningSensation;

    /**
     * 体格检查——消化系统（其它（0有，1无））
     */
    private Integer digestionOther;

    /**
     * 体格检查——消化系统（其它-备注）
     */
    private String digestionOtherRemarks;

    /**
     * 体格检查——外阴、生殖系统——女性——外阴（正常（0有，1无））
     */
    private Integer fVulvaNormal;

    /**
     * 体格检查——外阴、生殖系统——女性——外阴（瘙痒（0有，1无））
     */
    private Integer fVulvaItch;

    /**
     * 体格检查——外阴、生殖系统——女性——外阴（白斑（0有，1无））
     */
    private Integer fVulvaLeukoplakia;

    /**
     * 体格检查——外阴、生殖系统——女性——外阴（其它（0有，1无））
     */
    private Integer fVulvaOther;

    /**
     * 体格检查——外阴、生殖系统——女性——外阴（其它-备注））
     */
    private String fVulvaOtherRemarks;

    /**
     * 体格检查——外阴、生殖系统——女性——生殖系统（月经紊乱（0有，1无））
     */
    private Integer fMenstrualDisorder;

    /**
     * 体格检查——外阴、生殖系统——女性——生殖系统（痛经（0有，1无））
     */
    private Integer fDysmenorrhea;

    /**
     * 体格检查——外阴、生殖系统——女性——生殖系统（月经量过多（0有，1无）））
     */
    private Integer fMenorrhagia;

    /**
     * 体格检查——外阴、生殖系统——女性——生殖系统（月经量过少（0有，1无））
     */
    private Integer fHypomenorrhea;

    /**
     * 体格检查——外阴、生殖系统——女性——生殖系统（白带异常（0有，1无））
     */
    private Integer fAbnormalLeucorrhea;

    /**
     * 体格检查——外阴、生殖系统——女性——生殖系统（已绝经（0有，1无））
     */
    private Integer fMenopause;

    /**
     * 体格检查——外阴、生殖系统——女性——生殖系统（其它（0有，1无））
     */
    private Integer fReproductionOther;

    /**
     * 体格检查——外阴、生殖系统——女性——生殖系统（其它-备注）
     */
    private String fReproductionOtherRemarks;

    /**
     * 体格检查——外阴、生殖系统——男性——外阴（正常（0有，1无））
     */
    private Integer mVulvaNormal;

    /**
     * 体格检查——外阴、生殖系统——男性——外阴（瘙痒（0有，1无））
     */
    private Integer mVulvaItch;

    /**
     * 体格检查——外阴、生殖系统——男性——外阴（白斑（0有，1无））
     */
    private Integer mVulvaLeukoplakia;

    /**
     * 体格检查——外阴、生殖系统——男性——外阴（其它（0有，1无））
     */
    private Integer mVulvaOther;

    /**
     * 体格检查——外阴、生殖系统——男性——外阴（其它-备注））
     */
    private String mVulvaOtherRemarks;

    /**
     * 体格检查——外阴、生殖系统——男性——生殖系统（前列腺增生（0有，1无））
     */
    private Integer mProstaticHyperplasia;

    /**
     * 体格检查——外阴、生殖系统——男性——生殖系统（前列腺炎（0有，1无））
     */
    private Integer mProstatitis;

    /**
     * 体格检查——外阴、生殖系统——男性——生殖系统（前列腺钙化（0有，1无））
     */
    private Integer mCalcificationOfProstate;

    /**
     * 体格检查——外阴、生殖系统——男性——生殖系统（前列腺囊肿（0有，1无））
     */
    private Integer mProstaticCyst;

    /**
     * 体格检查——外阴、生殖系统——男性——生殖系统（其它（0有，1无））
     */
    private Integer mReproductionOther;

    /**
     * 体格检查——外阴、生殖系统——男性——生殖系统（其它-备注）
     */
    private String mReproductionOtherRemarks;

    /**
     * 置管与治疗——鼻胃管（0有，1无）
     */
    private Integer nasogastricTube;

    /**
     * 置管与治疗——留置尿管（0有，1无）
     */
    private Integer indwellingCatheter;

    /**
     * 置管与治疗——气管插管（0有，1无）
     */
    private Integer endotrachealIntubation;

    /**
     * 置管与治疗——造瘘管（0有，1无）
     */
    private Integer fistulae;

    /**
     * 置管与治疗——膀胱冲洗（0有，1无）
     */
    private Integer bladderIrrigation;

    /**
     * 置管与治疗——膀胱滴药（0有，1无）
     */
    private Integer bladderDrops;

    /**
     * 置管与治疗——肛管排气（0有，1无）
     */
    private Integer analExhaust;

    /**
     * 置管与治疗——其它（0有，1无）
     */
    private Integer catheterizationOther;

    /**
     * 置管与治疗——其它-备注（0有，1无）
     */
    private String catheterizationOtherRemarks;

    /**
     * 补充说明
     */
    private String supplementaryNotes;

    /**
     * 评估时间
     */
    private Date evaluationTime;

    /**
     * 状态（0已建床，1已撤床）
     */
    private Integer status;

    /**
     * 创建人
     */
    private Integer defineEmg;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Integer endEmg;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;

    /**
     * 床位费
     */
    private Integer bedFee;

    /**
     * 伙食费
     */
    private Integer boardExpenses;

    /**
     * 护理方式ID
     */
    private Integer srvModeId;

    /**
     * 护理方式
     */
    private String srvMode;

    /**
     * 结算状态（0，未结算；1，结算中；2，已结算）
     */
    private Integer accountStatus;

    /**
     * 处理意见
     */
    private String processingOpinion;

    /**
     * 辅助检查(可粘贴)
     */
    private String auxiliaryExamination;

    /**
     * 体格检查
     */
    private String physicalCheck;

    /**
     * 主诉
     */
    private String relate;

    /**
     * 现病史
     */
    private String historyPresentIllness;

    /**
     * 甲类慢性病名称
     */
    private String mergeName;

    /**
     * 建床附件
     */
    private List<ChFndAttach> fileDataList;
}
