package com.hungraim.ltc.pojo.vo.governance;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 护理机构护理项目配置列表VO
 */
@Data
public class OrganProjectVO implements Serializable {
    /**
     * 护理服务项目id
     */
    private Long projectId;
    /**
     * 护理机构
     */
    private String srvOrganName;
    /**
     * 护理机构代码
     */
    private Long srvOrganId;

    /**
     * 适用机构
     */
    private Long organId;
    /**
     * 模板名称
     */
    private String itemName;

    private String itemNameId;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态
     */
    private Integer status;

    /**
     * 类服务包类型(1基础护理、2日常照护项目、3其它、4巡诊)
     */
    private Integer categoryType;

    /**
     * 频次
     */
    private Integer itemTimes;

    /**
     * 频次类型(1:次/每月，2:必要时）
     */
    private Integer itemTimesType;

    /**
     * 服务单价
     */
    private BigDecimal itemPrice;

    /**
     * 是否必需项(是：1；否：0)
     */
    private Integer isConf;

    /**
     * 服务内容
     */
    private String serviceContent;
}
