package com.hungraim.ltc.pojo.vo.governance;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 列表页回显对象
 */
@Data
public class ProgramDetailVo {

    /**
     * 服务方案ID
     */
    private Long programId;

    /**
     * 服务机构id
     */
    private Long srvOrganId;

    /**
     * 失能人员id
     */
    private Long disabInfoId;

    /**
     * 服务方式id
     */
    private Long srvModeId;

    /**
     * 失能人员所在省
     */
    private String disableDistrictProvincial;

    /**
     * 失能人员所在市
     */
    private String disableDistrictCity;

    /**
     * 失能人员所在区域
     */
    private String disableDistrictArea;

    /**
     * 失能人员姓名
     */
    private String realName;

    /**
     * 失能人员手机号
     */
    private String realTel;

    /**
     * 失能人员生日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    /**
     * 失能人员性别
     */
    private String gender;

    /**
     * 疾病大类
     */
    private Long diseTypeF;

    /**
     * 疾病小类
     */
    private Long diseTypeS;

    /**
     * 家庭住址
     */
    private String addressDetail;


    /**
     * 接收服务省市区
     */
    private String acptProvincial;
    private String acptCity;
    private String acptArea;
    private String acptStreet;
    private String acptAddress;

    /**
     * 失能等级
     */
    private String realLevel;

    /**
     * 评定完成日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date assessDate;

    /**
     * 服务方式
     */
    private String svrModelName;

    /**
     * 护理机构名称
     */
    private String svrOrganName;

    /**
     * 方案生效时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date programDate;

    /**
     * 方案结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date programEndDate;

    /**
     * 方案状态
     */
    private Integer progStatus;

    /**
     * 服务方案项目集合
     */
    private List<ProgramSetAndProjectVo> programSetAndProjectVos;

    /**
     * 服务方案附件
     */
    private List<ChFndAttach> fileDataList;

}
