package com.hungraim.ltc.pojo.vo.system;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 
 * @TableName CH_SRV_ORGAN
 */
@Data
public class SrvOrganVo{

    /**
     * 护理机构id
     */
    private Integer srvOrganId;

    /**
     * 机构代码
     */
    private String organId;

    /**
     * 护理机构名称
     */
    private String srvOrganName;

    /**
     * 所在省份
     */
    private String districtProvincial;

    /**
     * 所在城市
     */
    private String districtCity;

    /**
     * 所在区域
     */
    private String districtArea;

    /**
     * 服务机构类型
     */
    private Integer organTypeId;

    /**
     * 登记号
     */
    private String permitId;

    /**
     * 详细地址
     */
    private String adressDetail;

    /**
     * 联系人姓名
     */
    private String linkName;

    /**
     * 联系人电话
     */
    private String linkTel;

    /**
     * 床位数
     */
    private Integer bunk;

    /**
     * 创建人
     */
    private Integer defineEmp;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date effTime;

    /**
     * 终止人
     */
    private Integer endEmp;

    /**
     * 终止时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date endTime;

    /**
     * 首次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;

    /**
     * 数据来源 网厅：0，核心：1，微信：2
     */
    private Integer dataFrom;

    /**
     * 网厅创建人
     */
    private Integer webDefineEmp;

    /**
     * 网厅终止人
     */
    private Integer webEndEmp;

    /**
     * 提供的服务类型
     */
    private String srvType;

    /**
     * 接受评定省
     */
    private String acptProvincial;

    /**
     * 接受评定市
     */
    private String acptCity;

    /**
     * 接受评定区
     */
    private String acptArea;

    /**
     * 接受评定街道
     */
    private String acptStreet;

    /**
     * 接受评定详细地址
     */
    private String acptAddress;

    /**
     * 服务配置模式ID
     */
    private Integer cfgModeId;

    /**
     * 状态 有效：0,作废：1
     */
    private Integer status;

    /**
     * 统一社会信用代码
     */
    private String unifiedSocialCreditCode;

    /**
     * 银行账户名称
     */
    private String accName;

    /**
     * 银行开户行名称
     */
    private String bankAccName;

    /**
     * 银行账号
     */
    private String bankNo;

    /**
     * 联系人邮箱
     */
    private String linkMail;

    /**
     * 机构级别
     */
    private Integer levelCode;

    /**
     * 机构编码
     */
    private String srvOrganCode;

    /**
     * 接受服务地址经度
     */
    private String acptLongitude;

    /**
     * 接受服务地址纬度
     */
    private String acptLatitude;

    /**
     * 接受服务路街
     */
    private String acptRoadDetail;

    /**
     * 接受服务路/街 （0路，1街，2村）
     */
    private Integer acptRoadType;

    /**
     * 接受服务号弄
     */
    private String acptNumberDetail;

    /**
     * 接受服务号/弄 （0弄，1号）
     */
    private Integer acptNumberType;

    /**
     * 医保编码
     */
    private String medicareNumber;

    /**
     * 银行开户名称代码
     */
    private String bankAccCode;

    /**
     * 账号所属省
     */
    private String bankDistrictProvincial;

    /**
     * 账号所属市
     */
    private String bankDistrictCity;

    /**
     * 账号所属网点
     */
    private String bankDistrictWebsite;

    /**
     * 卡类型
     */
    private Integer cardType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 审核人姓名（长护）
     */
    private String checkNameCh;

    /**
     * 审核备注（长护）
     */
    private String checkRemarkCh;

    /**
     * 审核时间（长护）
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date checkTimeCh;

    /**
     * 审核状态（长护  未审核:0,审核中:1,审核通过:2,审核不通过:3）
     */
    private Integer checkStatusCh;

    /**
     * 审核人姓名（理赔）
     */
    private String checkNameLp;

    /**
     * 审核备注（理赔）
     */
    private String checkRemarkLp;

    /**
     * 审核时间（理赔）
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date checkTimeLp;

    /**
     * 审核状态（理赔 未审核:0,审核中:1,审核通过:2,审核不通过:3）
     */
    private Integer checkStatusLp;

    /**
     * 文件列表数据对象
     */
    private List<ChFndAttach> fileDataList;
}