package com.hungraim.ltc.util;

import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

/**
 * 文件类型枚举类
 */
@AllArgsConstructor
@NoArgsConstructor
public enum AttachType {

    /**
     * 附件类型(1:失能人员附件;2:鉴定任务附件;3:服务方案附件;4:稽核巡查;5:护理机构基金结算申请新增;6:无锡长护保险自评申请;7:失能信息变更附件;
     * 8:评估结论书;9:参保人员及家属;10:评定人员1;11:评定人员2;12:鉴定机构附件;13:护理机构附件;14:鉴定人员附件;15:护理人员附件 16-护理人员服务项目结束附件，17:建床，18：撤床；19：护理机构结算附件；20：护理人员结算附件；)
     */
    /**
     * 1:失能人员附件;
     */
    DISABLE((short) 1),

    /**
     * 2:鉴定任务附件;
     */
    TASK((short) 2),

    /**
     * 3:服务方案附件;
     */
    PROGRAM((short) 3),

    /**
     * 4:稽核巡查;
     */
    AUDIT((short) 4),

    /**
     * 7:失能信息变更附件;
     */
    DISABLE_UPDATE((short) 7),

    /**
     * 12:鉴定机构附件
     */
    APR_ORGAN((short) 12),

    /**
     * 13:护理机构附件;
     */
    SRV_ORGAN((short) 13),

    /**
     * 14:鉴定人员附件;
     */
    APR_ORGAN_EMP((short) 14),

    /**
     * 15:护理人员附件;
     */
    SRV_ORGAN_EMP((short) 15),

    /**
     * 16:护理人员服务项目结束附件;
     */
    SRV_TASK((short) 16),

    /**
     * 17:建床;
     */
    BUILD_BED((short) 17),
    /**
     * 18:撤床;
     */
    REMOVE_BED((short) 18),

    /**
     * 19：护理机构结算附件；
     */
    SRV_ORGAN_ACCOUNT((short) 19),
    /**
     * 19：护理人员结算附件；
     */
    SRV_EMP_ACCOUNT((short) 20);

    private Short uploadType;

    public Short getUploadType() {
        return uploadType;
    }

    public void setUploadType(Short uploadType) {
        this.uploadType = uploadType;
    }
}
