package com.hungraim.ltc.governance.controller;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.hungraim.ltc.governance.service.IBuildBedService;
import com.hungraim.ltc.governance.service.IRemoveBedService;
import com.hungraim.ltc.pojo.entity.governance.ChSrvBuildBed;
import com.hungraim.ltc.pojo.entity.governance.ChSrvRemoveBed;
import com.hungraim.ltc.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 撤床
 *
 * @author jiaguokai
 */
@RestController
@RequestMapping("/api.governance/")
@Slf4j
public class RemoveBedController {
    @Resource
    private IRemoveBedService removeBedService;
    @Resource
    private IBuildBedService buildBedService;

    /**
     * 撤床
     */
    @PostMapping("/revokeBuild")
    public Result removeOne(ChSrvRemoveBed removeBed) {
        Boolean result = removeBedService.save(removeBed);
        if (result) {
            Integer buildBedId = removeBed.getBuildBedId();
            boolean update = buildBedService.update(new LambdaUpdateWrapper<ChSrvBuildBed>().eq(ChSrvBuildBed::getBuildBedId, buildBedId).set(ChSrvBuildBed::getStatus, 1));
            result = update;
        }
        return Result.success(result);
    }

}
