package com.hungraim.ltc.governance.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvOrganProject;
import com.hungraim.ltc.pojo.vo.governance.OrganProjectVO;
import com.hungraim.ltc.pojo.vo.governance.ProgramSetAndProjectVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface ChSrvOrganProjectMapper extends BaseMapper<ChSrvOrganProject> {

    /**
     * 通过服务机构id查询服务机构下的服务项目
     *
     * @param srvOrganId 服务机构id
     * @return 返回项目列表
     */
    List<ProgramSetAndProjectVo> selectOrganProjectsBySrvOrganId(@Param("srvOrganId") Long srvOrganId);

    Page<OrganProjectVO> organProjectList(Page<OrganProjectVO> page, List<String> organIds, String name, String status);
}