package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hungraim.ltc.pojo.entity.assessment.ChCfgAprGroupDetail;
import com.hungraim.ltc.pojo.entity.serviceManage.ChAprOrgan;
import com.hungraim.ltc.pojo.entity.serviceManage.ChCfgAprOrganType;
import com.hungraim.ltc.pojo.entity.serviceManage.ChCfgAprempType;
import com.hungraim.ltc.pojo.entity.serviceManage.ChFndEducation;
import com.hungraim.ltc.pojo.vo.governance.AprEmpInfoVO;
import com.hungraim.ltc.pojo.vo.governance.AprEmpVO;
import com.hungraim.ltc.pojo.vo.governance.AprOrganInfoVO;
import com.hungraim.ltc.pojo.vo.governance.AprOrganVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 监管机构及监管机构人员信息管理Service
 *
 * @author czz
 */
@Service
public interface AprOrganService extends IService<ChAprOrgan> {
    Page<AprOrganVO> aprOrganList(Page<AprOrganVO> page, Long organId, Boolean isIncluded, String organName, String code);

    void updateAprOrganStatus(String aprOrganId, Short status);

    void addOrUpdateAprOrgan(AprOrganInfoVO chAprOrgan);

    AprOrganInfoVO getAprOrganInfo(Long aprOrganId);

    List<ChCfgAprOrganType> getCfgAprOrganTypes();

    List<ChCfgAprGroupDetail> getCfgAprGroupDetail();

    Page<AprEmpVO> aprEmpList(Page<AprEmpVO> page, Long organId, Boolean isIncluded, String organName, String realName, String tel, String certiCode, String isLock, String empType);

    void addOrUpdateAprEmp(AprEmpInfoVO chAprEmp);

    List<ChCfgAprempType> cfgAprEmpType(String parAprempTypeId);

    List<ChFndEducation> fndEducation();

    void updateAprEmpStatus(String empId, Integer isLock);

    AprEmpInfoVO getAprEmpInfo(Long aprEmpId);
}
