package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSuperviseOrgan;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSuperviseOrganEmp;
import com.hungraim.ltc.pojo.vo.governance.ChSuperviseOrganEmpVo;
import com.hungraim.ltc.pojo.vo.governance.SuperviseOrganEmpVO;
import com.hungraim.ltc.pojo.vo.governance.SuperviseOrganVO;
import org.apache.poi.ss.usermodel.Workbook;
import org.springframework.stereotype.Service;

/**
 * 监管机构人员信息管理Service
 *
 * @author czz
 */
@Service
public interface SuperviseOrganEmpService extends IService<ChSuperviseOrgan> {
    Page<SuperviseOrganEmpVO> superviseOrganEmpList(Page<SuperviseOrganEmpVO> page, Long organId, Boolean isIncluded, String organName, String superviseType, String superviseName, String superviseTel, String status);

    void updateEmpStatus(String empId, Short isLock);

    void insertOrUpdateEmpInfo(ChSuperviseOrganEmp chSuperviseOrganEmp);

    Page<SuperviseOrganVO> superviseOrganList(Page<SuperviseOrganVO> page, Long organId, Boolean isIncluded, String spvOrganName);

    void updateSpvStatus(String spvOrganId, Short isLock);

    void insertOrUpdateSpvInfo(ChSuperviseOrgan spvOrgan);

    /**
     * 获取监管机构相关信息
     *
     * @param spvOrganId 监管机构id
     * @return 返回相关信息
     */
    ChSuperviseOrgan getSuperviseOrgan(Long spvOrganId);

    /**
     * 获取监管人员详情
     * @param spvEmpId 监管人员id
     * @return 返回监管人员详情
     */
    ChSuperviseOrganEmpVo getSuperviseOrganEmp(Long spvEmpId);

    Workbook superviseOrganEmpExport(Long organId, Boolean isIncluded, String organName, String superviseType, String superviseName, String superviseTel, String status);
}
