package com.hungraim.ltc.system.controller;

import com.hungraim.ltc.pojo.entity.SysConfig.ChFndBank;
import com.hungraim.ltc.system.service.BankService;
import com.hungraim.ltc.util.Result;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/api.system/bank")
@AllArgsConstructor
public class BankController {

    private final BankService bankService;


    /**
     * 获取银行信息列表
     *
     * @return 返回银行信息列表
     */
    @RequestMapping("/list")
    public Result<List<ChFndBank>> getBankList() {
        List<ChFndBank> chFndBanks = bankService.getBankList();
        return Result.success(chFndBanks);
    }


}
