package com.hungraim.ltc.system.controller;

import com.hungraim.ltc.pojo.entity.SysConfig.ChFndEducation;
import com.hungraim.ltc.system.service.EducationService;
import com.hungraim.ltc.util.Result;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/api.system/education")
@AllArgsConstructor
public class EducationController {

    private final EducationService educationService;

    /**
     * 获取学历数据列表
     *
     * @return 返回列表
     */
    @GetMapping("/list")
    public Result<List<ChFndEducation>> getEducationList() {
        return Result.success(educationService.list());
    }
}
