package com.hungraim.ltc.system.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hungraim.ltc.pojo.entity.system.SystemRoleResource;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 资源权限关联表mapper
 * @author hubin
 */
@Mapper
public interface SystemRoleResourceMapper extends BaseMapper<SystemRoleResource> {


  /**
   * 根据资源id查找角色id
   * @param resourceId 资源id
   * @return 角色id
   */
  @Select("SELECT ROLE_ID FROM LTC_ROLE_RESOURCE WHERE RESOURCE_ID = #{resourceId} ")
  List<Long> listRoleIds(long resourceId);

  Integer removeByIds(@Param("resourceIds") List<Long> resourceIds, @Param("id") Long id);
}
