package com.hungraim.ltc.system.service;

import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import com.hungraim.ltc.pojo.vo.system.AttachUpdateVo;

import java.util.List;

public interface AttachService {

    /**
     * 保存上传文件的文件信息
     *
     * @param originalFilename 源文件名称
     * @param realPath         上传的真实路径
     * @param attachType       附件类型
     * @return 返回保存后的文件id
     */
    Long saveFileInfo(String originalFilename, String realPath, Short attachType);

    /**
     * 修改数据库文件表关联数据
     * 参数attachUpdateVo对象中,必须要有ctrlId字段的值以及attachType的值，
     * 方法会以新传入的这个列表作为ctrlId所关联的所有对象，对于旧的关联数据中这次没有传入的attachId数据进行舍弃
     *
     * @param attachUpdateVo 文件对象列表
     * @return 返回执行结果
     */
    void updateAttachs(AttachUpdateVo attachUpdateVo);

    /**
     * 根据ctrlId和attachType查询其对应的数据列表
     *
     * @param ctrlId     关联id
     * @param attachType 附件类型
     * @return 返回对应的数据列表
     */
    List<ChFndAttach> selectAttachs(Long ctrlId, Short attachType);
}
