package com.hungraim.ltc.api;

import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import com.hungraim.ltc.pojo.vo.system.AttachUpdateVo;
import com.hungraim.ltc.util.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient("LTC-SYSTEM-ADMIN-SERVICE")
public interface AttachFeignService {

    /**
     * feign api
     * <p>
     * 修改数据库文件表关联数据
     * 参数chFndAttachs对象列表的对象中,必须要有ctrlId字段的值以及attachType的值，
     * 方法会以新传入的这个列表作为ctrlId所关联的所有对象，对于旧的关联数据中这次没有传入的attachId数据进行舍弃
     *
     * @param attachUpdateVo 文件对象列表
     * @return 返回执行结果
     */
    @PutMapping("/api.system/resource/attachs")
    Result updateAttachs(@RequestBody AttachUpdateVo attachUpdateVo);

    /**
     * feign api
     * <p>
     * 根据ctrlId和attachType查询其对应的数据列表
     *
     * @param ctrlId     关联id
     * @param attachType 附件类型
     * @return 返回对应的数据列表
     */
    @GetMapping("/api.system/resource/attachs")
    Result<List<ChFndAttach>> selectAttachs(@RequestParam("ctrlId") Long ctrlId, @RequestParam("attachType") Short attachType);
}
